<html>
<head>
<title>Ogre::D3D9VideoMode Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9VideoMode.html">D3D9VideoMode</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9VideoMode Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9VideoMode" -->
<p><code>#include &lt;<a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>&gt;</code></p>

<p><a href="classOgre_1_1D3D9VideoMode-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a34a77a0c52fb29311ec6181ac8bee754">D3D9VideoMode</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a3092cd96e44807a629e3ac45f05c683c">D3D9VideoMode</a> (const <a class="el" href="classOgre_1_1D3D9VideoMode.html">D3D9VideoMode</a> &amp;ob)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#ac4d2913efac422ca4a93ab0771373431">D3D9VideoMode</a> (D3DDISPLAYMODE d3ddm)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#af819f89d3ecd9236d1c0f9f91a71d0ba">~D3D9VideoMode</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a65ffcd6f95dfb7f7d1e3132179e1941d">getWidth</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#ace88c7d7936ff8e3d834bbb01f60ca07">getHeight</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DFORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#aebcf36ee2a94af840d455519d7b4e936">getFormat</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a723b0e8dbcf12b35b0b53cb216f9aee8">getRefreshRate</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a1fbeacf84a9adaf51949067616d25fee">getColourDepth</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DDISPLAYMODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a7fecdfa941b7519e79131acf5b4dfdf4">getDisplayMode</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a84bc6e2cc34253b99afc560176038b4c">increaseRefreshRate</a> (unsigned int rr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a31162f0c7366d0a913f009be3eb774d5">getDescription</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DDISPLAYMODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a31707aa89a366e29447aa91ba1fd491d">mDisplayMode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a11e3f434eb91ba240a18858273010f40">modeNumber</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00038">38</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a34a77a0c52fb29311ec6181ac8bee754"></a><!-- doxytag: member="Ogre::D3D9VideoMode::D3D9VideoMode" ref="a34a77a0c52fb29311ec6181ac8bee754" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a34a77a0c52fb29311ec6181ac8bee754">Ogre::D3D9VideoMode::D3D9VideoMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00045">45</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

<p>References <a class="el" href="OgreD3D11VideoMode_8h_source.html#l00035">Ogre::modeCount</a>.</p>

</div>
</div>
<a class="anchor" id="a3092cd96e44807a629e3ac45f05c683c"></a><!-- doxytag: member="Ogre::D3D9VideoMode::D3D9VideoMode" ref="a3092cd96e44807a629e3ac45f05c683c" args="(const D3D9VideoMode &amp;ob)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a34a77a0c52fb29311ec6181ac8bee754">Ogre::D3D9VideoMode::D3D9VideoMode</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1D3D9VideoMode.html">D3D9VideoMode</a> &amp;&#160;</td>
          <td class="paramname"><em>ob</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00046">46</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

<p>References <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00041">mDisplayMode</a>, and <a class="el" href="OgreD3D11VideoMode_8h_source.html#l00035">Ogre::modeCount</a>.</p>

</div>
</div>
<a class="anchor" id="ac4d2913efac422ca4a93ab0771373431"></a><!-- doxytag: member="Ogre::D3D9VideoMode::D3D9VideoMode" ref="ac4d2913efac422ca4a93ab0771373431" args="(D3DDISPLAYMODE d3ddm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9VideoMode.html#a34a77a0c52fb29311ec6181ac8bee754">Ogre::D3D9VideoMode::D3D9VideoMode</a> </td>
          <td>(</td>
          <td class="paramtype">D3DDISPLAYMODE&#160;</td>
          <td class="paramname"><em>d3ddm</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00047">47</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

<p>References <a class="el" href="OgreD3D11VideoMode_8h_source.html#l00035">Ogre::modeCount</a>.</p>

</div>
</div>
<a class="anchor" id="af819f89d3ecd9236d1c0f9f91a71d0ba"></a><!-- doxytag: member="Ogre::D3D9VideoMode::~D3D9VideoMode" ref="af819f89d3ecd9236d1c0f9f91a71d0ba" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9VideoMode.html#af819f89d3ecd9236d1c0f9f91a71d0ba">Ogre::D3D9VideoMode::~D3D9VideoMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00048">48</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

<p>References <a class="el" href="OgreD3D11VideoMode_8h_source.html#l00035">Ogre::modeCount</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a1fbeacf84a9adaf51949067616d25fee"></a><!-- doxytag: member="Ogre::D3D9VideoMode::getColourDepth" ref="a1fbeacf84a9adaf51949067616d25fee" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D9VideoMode.html#a1fbeacf84a9adaf51949067616d25fee">Ogre::D3D9VideoMode::getColourDepth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a31162f0c7366d0a913f009be3eb774d5"></a><!-- doxytag: member="Ogre::D3D9VideoMode::getDescription" ref="a31162f0c7366d0a913f009be3eb774d5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1D3D9VideoMode.html#a31162f0c7366d0a913f009be3eb774d5">Ogre::D3D9VideoMode::getDescription</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7fecdfa941b7519e79131acf5b4dfdf4"></a><!-- doxytag: member="Ogre::D3D9VideoMode::getDisplayMode" ref="a7fecdfa941b7519e79131acf5b4dfdf4" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DDISPLAYMODE <a class="el" href="classOgre_1_1D3D9VideoMode.html#a7fecdfa941b7519e79131acf5b4dfdf4">Ogre::D3D9VideoMode::getDisplayMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00058">58</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="aebcf36ee2a94af840d455519d7b4e936"></a><!-- doxytag: member="Ogre::D3D9VideoMode::getFormat" ref="aebcf36ee2a94af840d455519d7b4e936" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DFORMAT <a class="el" href="classOgre_1_1D3D9VideoMode.html#aebcf36ee2a94af840d455519d7b4e936">Ogre::D3D9VideoMode::getFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00055">55</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="ace88c7d7936ff8e3d834bbb01f60ca07"></a><!-- doxytag: member="Ogre::D3D9VideoMode::getHeight" ref="ace88c7d7936ff8e3d834bbb01f60ca07" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D9VideoMode.html#ace88c7d7936ff8e3d834bbb01f60ca07">Ogre::D3D9VideoMode::getHeight</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00054">54</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a723b0e8dbcf12b35b0b53cb216f9aee8"></a><!-- doxytag: member="Ogre::D3D9VideoMode::getRefreshRate" ref="a723b0e8dbcf12b35b0b53cb216f9aee8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D9VideoMode.html#a723b0e8dbcf12b35b0b53cb216f9aee8">Ogre::D3D9VideoMode::getRefreshRate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00056">56</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a65ffcd6f95dfb7f7d1e3132179e1941d"></a><!-- doxytag: member="Ogre::D3D9VideoMode::getWidth" ref="a65ffcd6f95dfb7f7d1e3132179e1941d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D9VideoMode.html#a65ffcd6f95dfb7f7d1e3132179e1941d">Ogre::D3D9VideoMode::getWidth</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00053">53</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a84bc6e2cc34253b99afc560176038b4c"></a><!-- doxytag: member="Ogre::D3D9VideoMode::increaseRefreshRate" ref="a84bc6e2cc34253b99afc560176038b4c" args="(unsigned int rr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9VideoMode.html#a84bc6e2cc34253b99afc560176038b4c">Ogre::D3D9VideoMode::increaseRefreshRate</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>rr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00059">59</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a31707aa89a366e29447aa91ba1fd491d"></a><!-- doxytag: member="Ogre::D3D9VideoMode::mDisplayMode" ref="a31707aa89a366e29447aa91ba1fd491d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DDISPLAYMODE <a class="el" href="classOgre_1_1D3D9VideoMode.html#a31707aa89a366e29447aa91ba1fd491d">Ogre::D3D9VideoMode::mDisplayMode</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00041">41</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00046">D3D9VideoMode()</a>.</p>

</div>
</div>
<a class="anchor" id="a11e3f434eb91ba240a18858273010f40"></a><!-- doxytag: member="Ogre::D3D9VideoMode::modeNumber" ref="a11e3f434eb91ba240a18858273010f40" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1D3D9VideoMode.html#a11e3f434eb91ba240a18858273010f40">Ogre::D3D9VideoMode::modeNumber</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9VideoMode_8h_source.html#l00042">42</a> of file <a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9VideoMode_8h_source.html">OgreD3D9VideoMode.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
